#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module Extracter

class Extracter

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === N
  # ========================================================================= #
  N = "\n"

  # ========================================================================= #
  # === LAST_UPDATED
  #
  # When this class was last updated/releasted. This is not a hugely
  # important constat, so do not worry too much if this may be heavily 
  # outdated eventually.
  # ========================================================================= #
  LAST_UPDATED = '14 Apr 2021'

  # ========================================================================= #
  # === TEMP_DIR
  #
  # Set the temp dir here.
  # ========================================================================= #
  if ENV['MY_TEMP']
    TEMP_DIR = ENV['MY_TEMP'].to_s+'/'
  else
    # ======================================================================= #
    # If this environment variable is unavailable then use a conservative
    # default value.
    # ======================================================================= #
    TEMP_DIR = '/tmp/'
  end

  # ========================================================================= #
  # === SHOW_ONLY_THE_SHORT_NAME_OF_THE_ARCHIVE
  #
  # If this constant is set to true then we will only show the shortened
  # name of the archive in question by default.
  # ========================================================================= #
  SHOW_ONLY_THE_SHORT_NAME_OF_THE_ARCHIVE = true

  # ========================================================================= #
  # === GEM_UNPACK_COMMAND
  #
  # The command to use to unpack ruby .gems.
  # We can pass the ---target=DIR syntax to extract to a specific location.
  # ========================================================================= #
  GEM_UNPACK_COMMAND = 'gem unpack'

  # ========================================================================= #
  # === ARRAY_REGISTERED_ARCHIVES
  #
  # Archives that can be extracted, have to be registered in this Array.
  #
  # Sort alphabetically.
  #
  # The libreoffice format .odt is just like .zip.
  # ========================================================================= #
  ARRAY_REGISTERED_ARCHIVES = %w(
    7z
    apkg
    bin
    bz2
    deb
    gem
    gz
    img
    iso
    jar
    lz
    lzma
    odt
    mp4
    pdf
    rar
    rpm
    squashfs
    sxz
    tar
    taz
    tbz
    tgz
    txz
    xpi
    xz
    zip
    Z
    zst
  )

end; end