#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module Extracter

class Extracter

  begin
    require 'opn'
  rescue LoadError; end

  # ========================================================================= #
  # === custom_opn
  #
  # This is like opn(), except that we also check whether
  # we should show the name or not.
  # ========================================================================= #
  def custom_opn
    opnn unless @do_not_show_name
  end; alias copn custom_opn # === copn

  # ========================================================================= #
  # === opnn
  # ========================================================================= #
  def opnn
    if @use_opn and Object.const_defined?(:Opn)
      Opn.opn(@use_this_opn_hash)
    end
  end

  # ========================================================================= #
  # === set_use_opn
  # ========================================================================= #
  def set_use_opn(i = true)
    @use_opn = i
  end

  # ========================================================================= #
  # === pad_opn_with_n_tokens
  # ========================================================================= #
  def pad_opn_with_n_tokens(n_tokens)
    determine_default_opn_hash # Update this, just in case.
    @use_this_opn_hash.update(padding: n_tokens)
  end; alias set_pad_opn_with_n_tokens pad_opn_with_n_tokens # === set_pad_opn_with_n_tokens

end; end