#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module Extracter

class Extracter

  # ========================================================================= #
  # === reset                                                     (reset tag)
  #
  # Reset our main instance variables here.
  # ========================================================================= #
  def reset
    # ======================================================================= #
    # === @namespace
    #
    # Specify the main namespace to be used. This setting can be modified
    # at "runtime".
    # ======================================================================= #
    @namespace = NAMESPACE
    # ======================================================================= #
    # === @debug
    # ======================================================================= #
    @debug = false
    # ======================================================================= #
    # === Extract to this location
    #
    # Next specify where to extract the archive in question, defaulting to
    # the TEMP_DIR constant.
    # ======================================================================= #
    @extract_to_this_location = TEMP_DIR
    # ======================================================================= #
    # === @did_we_extract_already
    #
    # We will keep track of whether we already extracted or not.
    # ======================================================================= #
    @did_we_extract_already = false
    # ======================================================================= #
    # === @do_not_show_name
    # ======================================================================= #
    @do_not_show_name = false
    # ======================================================================= #
    # === @use_opn
    # ======================================================================= #
    @use_opn = true # ← Whether to use Opn by default or not.
    # ======================================================================= #
    # === @show_only_the_short_name_of_the_archive
    # ======================================================================= #
    @show_only_the_short_name_of_the_archive = SHOW_ONLY_THE_SHORT_NAME_OF_THE_ARCHIVE
    # ======================================================================= #
    # === @skip_extracting
    # ======================================================================= #
    @skip_extracting = false
    # ======================================================================= #
    # === @run_simulation
    # ======================================================================= #
    @run_simulation = false # ← Whether to run in simulation, or for "real".
    set_extract_to_this_location
    do_show_name # We will show the name usually.
    enable_colours
    determine_default_opn_hash
    set_be_verbose(false)
  end

end; end