# -*- encoding: utf-8 -*-
# stub: extracter 1.1.8 ruby lib

Gem::Specification.new do |s|
  s.name = "extracter".freeze
  s.version = "1.1.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.2.16".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2021-05-08"
  s.description = "\nThis fairly small class/library can be used to extract different archive\nformats such as .tar.bz2 or .tbz - archives such as .gem and .lzma\nwill also work.\n\nYou can also extract audio, by making use of class ExtractAudio. The\nlatter is - and should be - optional though.\n\nUsage example:\n\n    require 'extracter'\n\n    Extracter.new('/foo/bla-1.0.tar.bz2')\n\nThe second argument that can be passed to the method new()\nspecifies where we should extract to, example:\n\n    Extracter.new('/foo/bla-1.0.tar.bz2', '/opt')\n\nThis would extract to the /opt directory.\n\nYou can query whether input is an archive or not via:\n\n  Extracter.is_archive? 'foo.tar.xz'\n\nAs of April 2014 we also provide a bin/extract file, so that\nyou can simply extract something from the commandline.\n\nSince as of November 2018, class Extracter can also \"extract\"\n.iso files. (The .iso will be mounted to a directory that\nwill be created, actually.)\n\nIf you have a specific suggestion to make this gem more useful\nfor others, please drop me an email at:\n\n    shevegen@gmail.com\n\nThank you.\n\n".freeze
  s.email = "shevegen@gmail.com".freeze
  s.homepage = "http://rubygems.org/gems/extracter".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.post_install_message = "\n  class Extracter can be used to extract archives, such as .tar.gz or\n  .zip.\n\n  If you need some help, you can invoke bin/extract via:\n\n      extract --help\n\n  In general, the syntax for extract is kept simple. Just pass in the\n  archive that has to be extracted as the first argument to \n  extract ( bin/extract) , and class Extracter will try to extract\n  it, if it is a registered archive format.\n\n  In ruby code, you may be able to use class Extracter in this manner:\n\n      require 'extracter'\n      Extracter[file_path_here]\n\n  or\n\n      require 'extracter'\n      Extracter.new(file_path_here)\n\n  Specific example:\n\n      require 'extracter'\n      Extracter.new('htop-2.2.0.tar.xz')\n\n  See the --help option.\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 3.0.1".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "This fairly small class/library can be used to extract different archive formats such as .tar.bz2 or .tbz - archives such as .gem and .lzma will also work.  You can also extract audio, by making use of class ExtractAudio. The latter is - and should be - optional though.  Usage example:  require 'extracter'  Extracter.new('/foo/bla-1.0.tar.bz2')  The second argument that can be passed to the method new() specifies where we should extract to, example:  Extracter.new('/foo/bla-1.0.tar.bz2', '/opt')  This would extract to the /opt directory.  You can query whether input is an archive or not via:  Extracter.is_archive? 'foo.tar.xz'  As of April 2014 we also provide a bin/extract file, so that you can simply extract something from the commandline.  Since as of November 2018, class Extracter can also \"extract\" .iso files. (The .iso will be mounted to a directory that will be created, actually.)  If you have a specific suggestion to make this gem more useful for others, please drop me an email at:  shevegen@gmail.com  Thank you.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<colours>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<remove_file_suffix>.freeze, [">= 0"])
  else
    s.add_dependency(%q<colours>.freeze, [">= 0"])
    s.add_dependency(%q<opn>.freeze, [">= 0"])
    s.add_dependency(%q<remove_file_suffix>.freeze, [">= 0"])
  end
end
